Bug 138287 - [patch] converters/py-pisa fix dependency to py-reportlab
Summary: [patch] converters/py-pisa fix dependency to py-reportlab
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-python mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-08-28 22:30 UTC by jun-g
Modified: 2009-09-04 22:10 UTC (History)
0 users

See Also:


Attachments
py-pisa.patch (595 bytes, patch)
2009-08-28 22:30 UTC, jun-g
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jun-g 2009-08-28 22:30:06 UTC

pisa require reportlab2.1+.

How-To-Repeat: 

# cd /usr/ports/converters/py-pisa && make install clean
# rehash
# pisa
****************************************************
IMPORT ERROR!
Reportlab Version 2.1+ is needed!
****************************************************

The following Python packages are required for PISA:
- Reportlab Toolkit >= 2.2 <http://www.reportlab.org/>
- HTML5lib >= 0.11.1 <http://code.google.com/p/html5lib/>

Optional packages:
- pyPDF <http://pybrary.net/pyPdf/>
- PIL <http://www.pythonware.com/products/pil/>

No handlers could be found for logger "sx.pisa3"
Traceback (most recent call last):
  File "/usr/local/bin/pisa", line 8, in <module>
    load_entry_point('pisa==3.0.32', 'console_scripts', 'pisa')()
  File "build/bdist.freebsd-7.2-STABLE-i386/egg/pkg_resources.py", line 277, in load_entry_point
  File "build/bdist.freebsd-7.2-STABLE-i386/egg/pkg_resources.py", line 2180, in load_entry_point
  File "build/bdist.freebsd-7.2-STABLE-i386/egg/pkg_resources.py", line 1913, in load
  File "/usr/local/lib/python2.6/site-packages/pisa-3.0.32-py2.6.egg/sx/pisa3/__init__.py", line 31, in <module>
    from pisa import *
  File "/usr/local/lib/python2.6/site-packages/pisa-3.0.32-py2.6.egg/sx/pisa3/pisa.py", line 21, in <module>
    from pisa_document import *
  File "/usr/local/lib/python2.6/site-packages/pisa-3.0.32-py2.6.egg/sx/pisa3/pisa_document.py", line 11, in <module>
    from pisa_context import pisaContext
  File "/usr/local/lib/python2.6/site-packages/pisa-3.0.32-py2.6.egg/sx/pisa3/pisa_context.py", line 11, in <module>
    from pisa_util import *
  File "/usr/local/lib/python2.6/site-packages/pisa-3.0.32-py2.6.egg/sx/pisa3/pisa_util.py", line 44, in <module>
    raise ImportError("Reportlab Version 2.1+ is needed!")
ImportError: Reportlab Version 2.1+ is needed!
#
Comment 1 Edwin Groothuis freebsd_committer 2009-08-28 22:30:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2009-08-28 22:30:21 UTC
Maintainer of converters/py-pisa,

Please note that PR ports/138287 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/138287

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2009-08-28 22:30:24 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 wenheping 2009-08-28 23:48:54 UTC
I approve it.
Thank you !

wen
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2009-08-29 00:07:28 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 6 Martin Wilke freebsd_committer 2009-09-04 22:08:02 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 7 dfilter service freebsd_committer 2009-09-04 22:08:22 UTC
miwi        2009-09-04 21:07:56 UTC

  FreeBSD ports repository

  Modified files:
    converters/py-pisa   Makefile 
  Log:
  - Fix dependency to py-reportlab
  
  PR:             138287
  Submitted by:   "Junji NAKANISHI" <jun-g@daemonfreaks.com>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.2       +2 -1      ports/converters/py-pisa/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"